Module org.jfree.chart3d
Package org.jfree.chart3d.data.xyz

# Class XYZItemKey<S extends Comparable<S>>

java.lang.Object
org.jfree.chart3d.data.xyz.XYZItemKey<S>

Type Parameters:
  `S` - The series key type.

All Implemented Interfaces:
  `Serializable`, `Comparable<XYZItemKey<S>>`, `ItemKey`

public class XYZItemKey<S extends Comparable<S>> extends Object implements ItemKey, Comparable<XYZItemKey<S>>, Serializable
An object that references one data item in an `XYZDataset`. This is used internally to track the data item that a 3D object is related to, if any (and later that link is used for chart interaction). Instances of this class are immutable.

Since:
  1.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`XYZItemKey(S seriesKey, int itemIndex)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(XYZItemKey<S> key)`
`boolean`
`equals(Object obj)`
Tests this instance for equality with an arbitrary object.
`int`
`getItemIndex()`
Returns the item index.
`S`
`getSeriesKey()`
Returns the series key.
`int`
`hashCode()`
`String`
`toJSONString()`
Returns a JSON formatted string representing the key.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XYZItemKey

public XYZItemKey(S seriesKey, int itemIndex)
Creates a new instance.

Parameters:
  `seriesKey` - the series key (`null` not permitted).
  `itemIndex` - the item index.

## Method Details

### getSeriesKey

public S getSeriesKey()
Returns the series key.

Returns:
  The series key (never `null`).

### getItemIndex

public int getItemIndex()
Returns the item index.

Returns:
  The item index.

### equals

public boolean equals(Object obj)
Tests this instance for equality with an arbitrary object.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the object to test (`null` permitted).
Returns:
  A boolean.

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toJSONString

public String toJSONString()
Description copied from interface: `ItemKey`
Returns a JSON formatted string representing the key.

Specified by:
  `toJSONString` in interface `ItemKey`
Returns:
  A JSON formatted string.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### compareTo

public int compareTo(XYZItemKey<S> key)

Specified by:
  `compareTo` in interface `Comparable<S extends Comparable<S>>`